Color Extraction
Color Extraction is a task in computer vision that involves the extraction and analysis of colors from images or videos. The objective of this task is to identify and isolate specific colors, or color ranges present in the visual data.
MIT
Image-to-Text
PyTorch
English
Endpoint
POSThttps://api.aiozai.network/api/v1/model/e711f840-1465-486a-8d2c-c347cdaca532/task
X-API-KeyAIOZ_AI_API_KEY
Input Schema
| Field | Type | Description |
|---|---|---|
| input | URLrequired | This is the original image that the user wants to analyze for colors. |
Output Schema
| Field | Type | Description |
|---|---|---|
| output | string | Color value(s) returned by the model. |
curl -X POST \ "https://api.aiozai.network/api/v1/model/e711f840-1465-486a-8d2c-c347cdaca532/task" \ -H "x-api-key: $AIOZ_AI_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "input": "https://s3.w3s.aioz.network/w3ai-platform-v2/uploads/samples/54deb202-59ab-491b-b167-e0d95f9c4eb7/2025/07/08/1751964667-DYuTNyBYtP4uxg5kvi6VtE.jpg?AWSAccessKeyId=FT7EO3IGQNMIILHXIDZRVTJHWE&Signature=Ih263bjJHbSIOsC5iqXIc6ErUyQ%3D&Expires=2382684667" }'Response
{ "output": "['#63623a', '#f7bb08', '#e07c13', '#362e13', '#b13018']"}